<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::StringLogSink Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1StringLogSink.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1StringLogSink-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::StringLogSink Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This sink stores all messages in a string.  
 <a href="classOpenSim_1_1StringLogSink.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::StringLogSink:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1StringLogSink.png" usemap="#OpenSim::StringLogSink_map" alt=""/>
  <map id="OpenSim::StringLogSink_map" name="OpenSim::StringLogSink_map">
<area href="classOpenSim_1_1LogSink.html" title="Derive from this class to implement your own way of reporting logged messages." alt="OpenSim::LogSink" shape="rect" coords="0,56,223,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4af1f2266eca3db5b985a7adb5e7f0ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StringLogSink.html#a4af1f2266eca3db5b985a7adb5e7f0ee">clear</a> ()</td></tr>
<tr class="memdesc:a4af1f2266eca3db5b985a7adb5e7f0ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the contents of the string.  <a href="classOpenSim_1_1StringLogSink.html#a4af1f2266eca3db5b985a7adb5e7f0ee">More...</a><br /></td></tr>
<tr class="separator:a4af1f2266eca3db5b985a7adb5e7f0ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c903d85665d3e66db018a28a3d9e60"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StringLogSink.html#ac2c903d85665d3e66db018a28a3d9e60">getString</a> () const</td></tr>
<tr class="memdesc:ac2c903d85665d3e66db018a28a3d9e60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtain the string.  <a href="classOpenSim_1_1StringLogSink.html#ac2c903d85665d3e66db018a28a3d9e60">More...</a><br /></td></tr>
<tr class="separator:ac2c903d85665d3e66db018a28a3d9e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1LogSink"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1LogSink')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1LogSink.html">OpenSim::LogSink</a></td></tr>
<tr class="memitem:ab4102ffa1a1eceb61f16defc3b1df993 inherit pub_methods_classOpenSim_1_1LogSink"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1LogSink.html#ab4102ffa1a1eceb61f16defc3b1df993">~LogSink</a> ()=default</td></tr>
<tr class="separator:ab4102ffa1a1eceb61f16defc3b1df993 inherit pub_methods_classOpenSim_1_1LogSink"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a8f271d0fb601fc79a0e3ab00d59770a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StringLogSink.html#a8f271d0fb601fc79a0e3ab00d59770a1">sinkImpl</a> (const std::string &amp;msg) override</td></tr>
<tr class="memdesc:a8f271d0fb601fc79a0e3ab00d59770a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is invoked whenever a message is logged at the desired Log::Level.  <a href="classOpenSim_1_1StringLogSink.html#a8f271d0fb601fc79a0e3ab00d59770a1">More...</a><br /></td></tr>
<tr class="separator:a8f271d0fb601fc79a0e3ab00d59770a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classOpenSim_1_1LogSink"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classOpenSim_1_1LogSink')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classOpenSim_1_1LogSink.html">OpenSim::LogSink</a></td></tr>
<tr class="memitem:a70b4767f0f8c647889e4523f5bdd621e inherit pro_methods_classOpenSim_1_1LogSink"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1LogSink.html#a70b4767f0f8c647889e4523f5bdd621e">flushImpl</a> ()</td></tr>
<tr class="separator:a70b4767f0f8c647889e4523f5bdd621e inherit pro_methods_classOpenSim_1_1LogSink"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>This sink stores all messages in a string. </p>
<p>This is useful for testing the content of logs. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4af1f2266eca3db5b985a7adb5e7f0ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4af1f2266eca3db5b985a7adb5e7f0ee">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::StringLogSink::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clear the contents of the string. </p>

</div>
</div>
<a id="ac2c903d85665d3e66db018a28a3d9e60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2c903d85665d3e66db018a28a3d9e60">&#9670;&nbsp;</a></span>getString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::StringLogSink::getString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Obtain the string. </p>

</div>
</div>
<a id="a8f271d0fb601fc79a0e3ab00d59770a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f271d0fb601fc79a0e3ab00d59770a1">&#9670;&nbsp;</a></span>sinkImpl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::StringLogSink::sinkImpl </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function is invoked whenever a message is logged at the desired Log::Level. </p>

<p>Implements <a class="el" href="classOpenSim_1_1LogSink.html#a818d755858df937ac2c1782de21e04fd">OpenSim::LogSink</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/LogSink.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1StringLogSink.html">StringLogSink</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:31 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
